=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wkgtk-html2pdf-$1.tar.gz/ \
  https://github.com/Timh1970/wkgtk-html2pdf .*/v?(\d\S+)\.tar\.gz
