## wkgtk-html2pdf 0.0.27

=== debian/changelog ===
wkgtk-html2pdf (0.0.27-1) trixie; urgency=medium

  * Automated release: Version 0.0.27

 -- James Hothersall <james@wkgtk-html2pdf.com>  Thu, 26 Feb 2026 11:02:43 +0000

wkgtk-html2pdf (0.0.26-1) trixie; urgency=medium

  * Automated release: Version 0.0.26

 -- James Hothersall <james@wkgtk-html2pdf.com>  Thu, 26 Feb 2026 10:57:25 +0000

wkgtk-html2pdf (0.0.25-1) trixie; urgency=medium

  * Automated release: Version 0.0.25

 -- James Hothersall <james@wkgtk-html2pdf.com>  Tue, 24 Feb 2026 11:46:50 +0000

wkgtk-html2pdf (0.0.24-1) trixie; urgency=medium

  * Automated release: Version 0.0.24

 -- James Hothersall <james@wkgtk-html2pdf.com>  Mon, 23 Feb 2026 23:34:50 +0000

wkgtk-html2pdf (0.0.23-1) trixie; urgency=medium

  * Automated release: Version 0.0.23

 -- James Hothersall <james@wkgtk-html2pdf.com>  Mon, 23 Feb 2026 22:10:09 +0000
